MagickCore: artifact.c File Reference

# artifact.c File Reference

`#include "magick/studio.h"`
`#include "magick/artifact.h"`
`#include "magick/cache.h"`
`#include "magick/color.h"`
`#include "magick/compare.h"`
`#include "magick/constitute.h"`
`#include "magick/draw.h"`
`#include "magick/effect.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/fx.h"`
`#include "magick/fx-private.h"`
`#include "magick/gem.h"`
`#include "magick/geometry.h"`
`#include "magick/image.h"`
`#include "magick/layer.h"`
`#include "magick/list.h"`
`#include "magick/memory_.h"`
`#include "magick/monitor.h"`
`#include "magick/montage.h"`
`#include "magick/option.h"`
`#include "magick/profile.h"`
`#include "magick/quantum.h"`
`#include "magick/resource_.h"`
`#include "magick/splay-tree.h"`
`#include "magick/signature.h"`
`#include "magick/statistic.h"`
`#include "magick/string_.h"`
`#include "magick/token.h"`
`#include "magick/utility.h"`
`#include "magick/xml-tree.h"`

## Functions
MagickExport MagickBooleanType | CloneImageArtifacts (Image *image, const Image *clone_image)
MagickExport MagickBooleanType | DefineImageArtifact (Image *image, const char *artifact)
MagickExport MagickBooleanType | DeleteImageArtifact (Image *image, const char *artifact)
MagickExport void | DestroyImageArtifacts (Image *image)
MagickExport const char * | GetImageArtifact (const Image *image, const char *artifact)
MagickExport char * | GetNextImageArtifact (const Image *image)
MagickExport char * | RemoveImageArtifact (Image *image, const char *artifact)
MagickExport void | ResetImageArtifactIterator (const Image *image)
MagickExport MagickBooleanType | SetImageArtifact (Image *image, const char *artifact, const char *value)

## Function Documentation

MagickExport MagickBooleanType CloneImageArtifacts | ( | Image * | image,
|  | const Image * | clone_image |
| ) |  |  |

MagickExport MagickBooleanType DefineImageArtifact | ( | Image * | image,
|  | const char * | artifact |
| ) |  |  |

MagickExport MagickBooleanType DeleteImageArtifact | ( | Image * | image,
|  | const char * | artifact |
| ) |  |  |

MagickExport void DestroyImageArtifacts | ( | Image * | image | ) |

MagickExport const char* GetImageArtifact | ( | const Image * | image,
|  | const char * | artifact |
| ) |  |  |

MagickExport char* GetNextImageArtifact | ( | const Image * | image | ) |

MagickExport char* RemoveImageArtifact | ( | Image * | image,
|  | const char * | artifact |
| ) |  |  |

MagickExport void ResetImageArtifactIterator | ( | const Image * | image | ) |

MagickExport MagickBooleanType SetImageArtifact | ( | Image * | image,
|  | const char * | artifact,
|  | const char * | value |
| ) |  |  |